summaryrefslogtreecommitdiff
path: root/test/aux-fixed
diff options
context:
space:
mode:
authorJeremy Harris <jgh146exb@wizmail.org>2014-12-27 20:35:08 +0000
committerJeremy Harris <jgh146exb@wizmail.org>2014-12-27 20:42:13 +0000
commit093632c96953bfc8fb96d607e0605534efa64252 (patch)
treea96552ad6008fb598e0f31109605e55306df401b /test/aux-fixed
parentbfbad1dddf8b26ef0e14e48a36edc4a8bf1425e4 (diff)
Testsuite: case for malware= cmdline
Diffstat (limited to 'test/aux-fixed')
-rwxr-xr-xtest/aux-fixed/4007.script22
1 files changed, 22 insertions, 0 deletions
diff --git a/test/aux-fixed/4007.script b/test/aux-fixed/4007.script
new file mode 100755
index 000000000..9cdd098ff
--- /dev/null
+++ b/test/aux-fixed/4007.script
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+if [ x$1 = "x-o" ]
+then
+ shift
+ action=$1
+ shift
+fi
+
+if [ -r $1 ]
+then
+ echo "scanning file $1"
+else
+ echo "$1 not readable"
+ exit 1
+fi
+
+case $action in
+accept) ;;
+reject) echo "VNAME found in file $1";;
+esac
+